org.apache.kylin.jdbc

## Class KylinConnectionImpl

- java.lang.Object
- - net.hydromatic.avatica.AvaticaConnection
  - - org.apache.kylin.jdbc.KylinConnectionImpl

All Implemented Interfaces:
  AutoCloseable, Connection, Wrapper

    public abstract class KylinConnectionImpl
    extends net.hydromatic.avatica.AvaticaConnection

Kylin connection implementation

Author:
  xduo

### Nested Class Summary

### Nested classes/interfaces inherited from class net.hydromatic.avatica.AvaticaConnection

`net.hydromatic.avatica.AvaticaConnection.Trojan`

### Field Summary

Fields
`List<net.hydromatic.avatica.AvaticaStatement>` `statements`

### Fields inherited from class net.hydromatic.avatica.AvaticaConnection

`driver, factory, helper, info, meta, metaData, properties`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
`protected` `KylinConnectionImpl(net.hydromatic.avatica.UnregisteredDriver driver, net.hydromatic.avatica.AvaticaFactory factory, String url, Properties info)`

### Method Summary

Methods
`void` `close()`
`protected net.hydromatic.avatica.Meta` `createMeta()`
`net.hydromatic.avatica.AvaticaStatement` `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`String` `getBasicAuthHeader()`
`String` `getConnectUrl()`
`net.hydromatic.avatica.UnregisteredDriver` `getDriver()`
`net.hydromatic.avatica.AvaticaFactory` `getFactory()`
`net.hydromatic.avatica.Meta` `getMeta()`
`KylinMetaImpl.MetaProject` `getMetaProject()`
`String` `getMetaProjectUrl(String project)`
`String` `getProject()`
`String` `getQueryUrl()`
`PreparedStatement` `prepareStatement(String sql)`
`void` `setMetaProject(KylinMetaImpl.MetaProject metaProject)`
`String` `toString()`

### Methods inherited from class net.hydromatic.avatica.AvaticaConnection

`abort, clearWarnings, commit, config, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStruct, createTrojan, executeQueryInternal, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTimeZone, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, isWrapperFor, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### statements

    public final List<net.hydromatic.avatica.AvaticaStatement> statements

### Constructor Detail

#### KylinConnectionImpl

    protected KylinConnectionImpl(net.hydromatic.avatica.UnregisteredDriver driver,
                       net.hydromatic.avatica.AvaticaFactory factory,
                       String url,
                       Properties info)

### Method Detail

#### createMeta

    protected net.hydromatic.avatica.Meta createMeta()

Overrides:
  `createMeta` in class `net.hydromatic.avatica.AvaticaConnection`

#### createStatement

    public net.hydromatic.avatica.AvaticaStatement createStatement(int resultSetType,
                                                          int resultSetConcurrency,
                                                          int resultSetHoldability)
                                                            throws SQLException

Specified by:
  `createStatement` in interface `Connection`
Overrides:
  `createStatement` in class `net.hydromatic.avatica.AvaticaConnection`
Throws:
  `SQLException`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

Specified by:
  `prepareStatement` in interface `Connection`
Overrides:
  `prepareStatement` in class `net.hydromatic.avatica.AvaticaConnection`
Throws:
  `SQLException`

#### getBasicAuthHeader

    public String getBasicAuthHeader()

#### getConnectUrl

    public String getConnectUrl()

#### getMetaProjectUrl

    public String getMetaProjectUrl(String project)

#### getQueryUrl

    public String getQueryUrl()

#### getProject

    public String getProject()

#### getMeta

    public net.hydromatic.avatica.Meta getMeta()

#### getFactory

    public net.hydromatic.avatica.AvaticaFactory getFactory()

#### getDriver

    public net.hydromatic.avatica.UnregisteredDriver getDriver()

#### getMetaProject

    public KylinMetaImpl.MetaProject getMetaProject()

#### setMetaProject

    public void setMetaProject(KylinMetaImpl.MetaProject metaProject)

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Connection`
Overrides:
  `close` in class `net.hydromatic.avatica.AvaticaConnection`
Throws:
  `SQLException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`